Subject: bug#70913: closed (Re: bug#70913: Acknowledgement ([PATCH 00/11] Combine edk2-tools and ovmf firmware))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 May 2024 08:46:03 +0000

Your bug report

#70913: [PATCH 00/11] Combine edk2-tools and ovmf firmware

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70913: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70913
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70913: Acknowledgement ([PATCH 00/11] Combine edk2-tools and ovmf firmware)
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Mon, 27 May 2024 11:44:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Patches applied

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 00/11] Combine edk2-tools and ovmf firmware
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Mon, 13 May 2024 11:19:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch set aims to combine the edk2-tools and the ovmf firmware
sources, so that they're built out of the same sources and share the
same version.  I was able to test some of the system tests requiring the
UEFI firmware for x86_64 after also applying the patch in bug#70912.  I
did some work to try to get the %test-gui-uefi-installed-os system test
to pass on aarch64, but it's not quite there yet.

In theory edk2-tools (and make-ovmf-firmware) should be more limited in
the supported-systems, but I haven't made any changes there yet.  Also,
the ovmf-x86-64 and ovmf-i686 packages add CFLAGS that only allow it to
be built on x86_64 or i686 systems, but I haven't investigated if it
would be ok to remove those flags or if we should limit the
supported-systems to those two.

Efraim Flashner (11):
  gnu: edk2-tools: Update to 202402.
  gnu: edk2-tools: Enable submodules.
  gnu: Add ovmf-x86-64.
  gnu: Add ovmf-i686.
  gnu: ovmf-aarch64: Update to 202402.
  gnu: ovmf-arm: Update to 202402.
  gnu: ovmf-riscv64: Update to 202402.
  gnu: Use new ovmf firmware packages.
  tests: install: Add support for aarch64 UEFI tests.
  gnu: ovmf: Deprecate in favor of ovmf-x86-64.
  tests: install: Use a default qemu machine for arm architectures.

 doc/guix.texi                   |   2 +-
 gnu/packages/firmware.scm       | 307 ++++++++++++++++----------------
 gnu/packages/virtualization.scm |   2 +-
 gnu/tests/install.scm           |  18 +-
 4 files changed, 168 insertions(+), 161 deletions(-)

base-commit: 109679cdfaab645d2f35afec9bf1cb1b0d24f767
-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted